CREATE PROCEDURE [dbo].[GetLPOPCompletenessSlocHeader]
AS
BEGIN
DECLARE @MAX_WEEK INT = 0
DECLARE @PACK_MONTH VARCHAR(6) = ''
DECLARE @NG_COUNT INT = 0

SELECT @PACK_MONTH = MAX(PACK_MONTH) FROM TB_R_LPOP WHERE VERS = 'F'
SELECT @MAX_WEEK = MAX([WEEK]) FROM TB_R_LPOP_COMPLETENESS_SLOC WHERE PACK_MONTH = @PACK_MONTH

SELECT 
	@NG_COUNT = COUNT(1)
FROM TB_R_LPOP_COMPLETENESS_SLOC
WHERE PACK_MONTH = @PACK_MONTH 
	  AND [WEEK] = @MAX_WEEK  
	  AND ISNULL(OVER_STATUS, '') = 'NG'

SELECT @PACK_MONTH as PACK_MONTH, ISNULL(@NG_COUNT, 0) as COUNTER_NG, CASE WHEN ISNULL(@NG_COUNT, 0) <= 0 THEN 'OK' ELSE 'NG' END as VALIDATION_STS
END

